package dao;
import java.io.*;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;

import jakarta.servlet.*;
import jakarta.servlet.http.*;
import jakarta.servlet.annotation.WebServlet;
import java.sql.PreparedStatement;

@WebServlet("/Authent")
public class Authent extends HttpServlet {
    public void service(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
        String loginSession = req.getParameter("email");
        String mdpSession = req.getParameter("pwd");
        
        try (Connection con = getCon();) {
            String action = req.getParameter("action");
            if(action.equals("login")){
                String sql = "SELECT count(*) FROM Utilisateur WHERE email =? AND pwd = MD5(?);";
                System.err.println(sql);
                PreparedStatement stmt = con.prepareStatement(sql);
                stmt.setString(1, loginSession);
                stmt.setString(2, mdpSession);
                ResultSet rs = stmt.executeQuery();
                res.setContentType("text/html;charset=UTF-8");
                PrintWriter out = res.getWriter();
                out.println("<head><title>Autent</title>");
                out.println("<META content=\"charset=UTF-8\"></head><body>");
                if(rs.next() && rs.getInt(1) == 1){
                    HttpSession session = req.getSession();
                    out.println("<p>Connecté</p>");
                    session.setAttribute("token", loginSession);
                    res.sendRedirect("accueil.jsp");
                    
                }else{
                    res.sendRedirect("login.html");
                }
                out.println("</body>");
                con.close();
            }else if(action.equals("creer")){
                String sql = "INSERT INTO Utilisateur(pseudo, email, pwd) VALUES(?, ?, MD5(?));";
                PreparedStatement stmt = con.prepareStatement(sql);
                stmt.setString(1, req.getParameter("pseudo"));
                stmt.setString(2, req.getParameter("email"));
                stmt.setString(3, req.getParameter("pwd"));
                System.err.println(sql);
                try{
                    stmt.executeUpdate(sql);
                    con.close();
                    res.sendRedirect("login.html");
                }catch (SQLException e){
                    con.close();
                    res.sendRedirect("login.html");
                }
            }
        } catch (SQLException e) {
            System.out.println("Erreur lors de l'accès à la base de données : " + e.getMessage());
            e.printStackTrace();
        }
    }
    
    public Connection getCon() {
        
        try {

            String driver = "org.postgresql.Driver";
            String url = "jdbc:postgresql://psqlserv/but2";
            String nom = "alexandredehaineetu";
            String mdp = "moi";

            Class.forName(driver);
            Connection connection = DriverManager.getConnection(url, nom, mdp);
            return connection;

        } catch (Exception e) {
            System.out.println(e.getMessage());
        }

        return null;

    }
}