package dao;

import java.util.List;

public interface ConversationDao {
    Conversation findById(int idConv);
    List<Message> findAllMessages(int idConv);
    List<Utilisateur> findAllUtilisateurs(int idConv);
    List<Conversation> findByUser(String email);
    int createConversation(String nomConv, Utilisateur createur, String pwd);
    boolean deleteConversation(int idConv);
    boolean goodPwd(int idConv, String pwd);
}
